# Laure Gonnord pour DIU-EIL [Bloc 5], Juin 2021

Bibliothèque de graphes et graphes pondérés.  V3

Nécessite : python3-graphviz pour les dessins :
* apt-get install <cepaquet> sous linux-debian-like
* Pour windows cf https://www.youtube.com/watch?v=WkLhdBbf-3E
ne pas oublier de mettre à jour la variable PATH

License : CC by Attribution.

# étape 1 : TEST !
vérifier que tout est bien installé:
`python3 TestLib` doit imprimer:
The constructor checks consistancy : notagraph undefined
Inclusion of ExGraphs: g1 to g5 properly defined as Graphs
[...]
Edges of mygraph:
[{'d', 'a'}, {'a', 'z'}, {'b', 'c'}, {'d', 'c'}, {'e', 'c'}, {'x', 'y'}]
now generate a dot file and png rendering!
if it fails, properly install mygraphviz
colors are:
{'z': 0, 'a': 1, 'd': 0, 'c': 1, 'e': 0, 'b': 0, 'f': 0}

et deux fichiers png doivent être produits `testgraph.png` et `testgraphcolor.png`

Si une erreur d'exécution se produit: reprendre l'installation de graphviz

# étape 2 : PARCOURS
Implémenter les parcours dans la librairie `LibGraphes.py`, tester * au fur et à mesure*   avec `python3 TestTraversals.py`

# étape 3 CYCLES
(optionnel) implémenter une détection de cycles et tester avec `testCycles.py`

# étape 4 GRAPHES PONDERES
implémenter dikjstra et tester avec `TestPonderes.py`
