# Main File to test the Graph Class
# L & S Gonnord, 2016
from LibGraphes import Graph

def main():

    g0 = { "a" : ["d"],
          "b" : ["c"],
          "c" : ["b", "d", "e"],
          "d" : ["a", "c"],
          "e" : ["c"],
          "f" : []
    }


    g1 = { "a" : ["d"],
           "b" : ["c"],
           "c" : ["b", "d", "e"],
           "d" : ["a", "c"],
           "e" : ["c"],
           "f" : [],
           "w" : ["x","y"],
           "x" : ["y","w"],
           "y" : ["x","w"]
    }


    g2 = { "r3" : ["r1", "r2"],
           "r2" : ["r3", "r1", "c", "a"],
           "r1" : ["r3", "r2", "c"],
           "c"  : ["r1", "r2", "b", "a", "d", "e"],
           "b"  : ["a", "c", "d", "e"],
           "e"  : ["b", "c", "d"],
           "a"  : ["b", "c", "d", "r2"],
           "d"  : ["a", "b", "c", "e"]
    }

    g3={1:[2,3], 
        2:[1,4,5],
        3:[1,5,7,8],
        4:[2],
        5:[2,3,6],
        6:[5],
        7:[3,8],
        8:[3,7]} 

    g4= {   "1" : ["4", "3", "2"],                                       
                   "2" : ["1", "7"],                                            
                   "3" : ["1", "4", "5", "6"],                                  
                   "4" : ["1", "3", "8"],                                       
                   "5" : ["3", "6"],                                            
                   "6" : ["3", "5", "7"],                                       
                   "7" : ["2", "6"],                                            
                   "8" : ["4"] }                                                
                                                                                
    g5 = {"1" : ["2", "7", "8"],                                       
          "2" : ["1", "3", "4"],                                       
          "3" : ["2", "8", "10"],                                      
          "4" : ["2", "8"],                                            
          "5" : ["6", "8", "9", "10", "11"],                           
          "6" : ["5", "7", "8"],                                       
          "7" : ["1", "6", "9"],                                       
          "8" : ["1", "3", "4", "5", "6"],                             
          "9" : ["5", "7", "11"],                                      
          "10": ["3", "5"],                                            
          "11": ["5", "9"]}
    
    g6 = {"1" : ["2"],
          "2" : ["1","6"],
          "3" : [],
          "4" : [],
          "5" : ["6"],
          "6" : ["7","5","2"],
          "7" : ["6"]
    }
    
# this file could be better designed
    cpt = 0
    for name, expected_result in [(g0, False), (g1, True), (g2, True) , (g3, True), (g4, True), (g5, True), (g6, False)]:
        try:
            agraph = Graph(name)
            # continue only of the graph is a correct symetric graph
            agraph.print_dot("graph_"+str(cpt))
            res, _ = agraph.has_a_cycle()
            if res != expected_result:
                print("hum, the answer for graph_"+str(cpt)," seems incorrect")
            cpt = cpt + 1
        except AssertionError:
            pass
    print("end of testcycles")


if __name__ == '__main__':
    main()
