# Main File to test the Graph Class
# L & S Gonnord, 2016, modif June 2021

from LibGraphes import Graph
from ExGraphes import g1, g2, g3, g4, g5


def traversal():
    """
    Test DFS and BFS and ... implementations.
    """
    # on g1
    g1.print_dot("g1")
    print("First g1 in g1.png...")
    print("Graph = g1, DFS traversal from a")
    print(g1.dfs_traversal('a'))  # a POSSIBLE print is ['a', 'z', 'd', 'c', 'e', 'b']
    print("Graph = g1 , DFS traversal from d")
    print(g1.dfs_traversal('d'))  # ['d', 'c', 'e', 'b', 'a', 'z']
    print("same call, second version of DFS")

    # forget the second part of the result
    mylist, _ = g1.dfs_traversal_v2('d')
    print(mylist)  # ['d', 'c', 'e', 'b', 'a', 'z']
    print("Graph = g1, BFS traversal from d")
    print(g1.bfs_traversal('d'))  # ['d', 'a', 'c', 'z', 'b', 'e']

    print("full graph traversal for g1")
    print(g1.full_dfs_traversal())

    print("g2, g3:")
    print(g2.dfs_traversal('r1')) #['c', 'e', 'd', 'b', 'a', 'r2', 'r3']
    print("Second graph in g2.png...")
    g2.print_dot("g2")

    print(g3.dfs_traversal(1))   #aucun pb avec des entiers plutôt que les chaines : [1, 3, 7, 8, 5, 6, 2, 4]
    print(g3.bfs_traversal(1))   #aucun pb avec des entiers plutôt que les chaines : [1, 2, 3, 4, 5, 7, 8, 6]

    print("Graphs from TD1")
    print(g4.bfs_traversal(1))     # ['1', '4', '3', '2', '8', '5', '6', '7']
    print(g4.dfs_traversal(1))     # ['1', '2', '7', '6', '5', '3', '4', '8']



if __name__ == '__main__':
    traversal()
#    cycles()
